<div class="row justify-content-center card-margins">
  <div class="col">
    <mat-card class="question_post">
      <div class="row">
        <div class="col-9 question-title">
          <mat-card-header>
            <mat-card-subtitle class="user" [routerLink]="['/user-profile/' + card.creator._id]">
              Posted by {{ card.creator | name: 'displayName' }}</mat-card-subtitle
            >
            <mat-card-title>
              {{ card.title }}
            </mat-card-title>
          </mat-card-header>
        </div>
        <div class="col-3" style="text-align: end">
          <mat-card-subtitle>{{ card.date | date: 'dd/M/yyyy H:mm' }}</mat-card-subtitle>
        </div>
      </div>
      <mat-card-content class="question-box">
        <p *ngIf="!isEditClicked; else editBlock">
          {{ card.mainText }}
        </p>
        <ng-template #editBlock>
          <mat-form-field class="editing-box" appearance="outline">
            <mat-label>Question Description</mat-label>
            <textarea
              matInput
              appAutofocus
              placeholder="Describe your quesiton in detail"
              matTextareaAutosize
              matAutosizeMinRows="6"
              [(ngModel)]="card.mainText"
            ></textarea>
          </mat-form-field>
        </ng-template>
      </mat-card-content>
      <mat-card-actions *ngIf="!isEditClicked; else elseButtonBlock">
        <button mat-button (click)="like()">
          <mat-icon
            [ngClass]="{ 'material-icons liked': isLiked(), 'material-icons-outlined': !isLiked() }"
            >thumb_up</mat-icon
          >
          {{ card.likes == 1 ? card.likes + ' Like' : card.likes + ' Likes' }}
        </button>
        <button mat-button>
          <mat-icon class="material-icons-outlined">comment</mat-icon>
          {{
            card.commentsTotal == 1
              ? card.commentsTotal + ' Comment'
              : card.commentsTotal + ' Comments'
          }}
        </button>
        <button mat-button *ngIf="isCreator" (click)="toggleEdit()">
          <mat-icon class="material-icons-outlined">edit</mat-icon>
          Edit
        </button>
        <button mat-button *ngIf="isCreator" (click)="deleteQuestion()">
          <mat-icon class="material-icons-outlined">delete</mat-icon>
          Delete
        </button>
        <button mat-button (click)="toggleComment()">
          <mat-icon class="material-icons-outlined">reply</mat-icon>
          Reply
        </button>
      </mat-card-actions>
      <ng-template #elseButtonBlock>
        <mat-card-actions class="editing-icons question">
          <button mat-button (click)="submitEdit()">
            <mat-icon class="material-icons-outlined">send</mat-icon>
            Submit
          </button>
          <button mat-button (click)="toggleEdit()">
            <mat-icon class="material-icons-outlined">close</mat-icon>
            Close
          </button>
        </mat-card-actions>
      </ng-template>
      <mat-card *ngIf="isReplyClicked" class="reply-box">
        <mat-card-content class="reply-box-content">
          <mat-form-field class="reply-form" appearance="outline">
            <mat-label>Leave a comment</mat-label>
            <textarea
              matInput
              appAutofocus
              placeholder="Write an answer"
              matTextareaAutosize
              matAutosizeMinRows="3"
              [(ngModel)]="commentText"
            ></textarea></mat-form-field
        ></mat-card-content>
        <mat-card-actions class="reply-icons">
          <button mat-button (click)="submitComment()">
            <mat-icon class="material-icons-outlined">send</mat-icon>
            Submit
          </button>
          <button mat-button (click)="toggleComment()">
            <mat-icon class="material-icons-outlined">close</mat-icon>
            Close
          </button>
        </mat-card-actions>
      </mat-card>
    </mat-card>
  </div>
</div>
